<template>
  <div class="paddedDiv">
    <div class="appContainer">
      <div class="textLabel">
        <span>Choose your order type</span>
      </div>

      <div class="orderTypeContainer">
        <div class="orderType">
          <!--
            <input name="orderTypeRadio" type="radio" id="customRadio">
            <label class="checkboxLabel" for="customRadio"> Custom Order</label>
            -->
          <select v-model="selected" @change="send">
            <option disabled value="">Please select one</option>
            <option>Custom Order</option>
          </select>
          <span> Selected: {{ selected }}</span>
        </div>
        <div class="orderTypeContainer">
          <div class="orderType"></div>
          <div class="orderTypeContainerColumn2">
            <span>
              Customize your order with some of our most popular items
            </span>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "orderType",
  data: () => ({
    selected: "",
  }),
  methods: {
    send: function () {
      this.$emit("inputData", this.selected);
    },
  },
};
</script>

<style scoped>
@import "../css/StyledDiv.css";
</style>
